Index: /code/branches/BossFight_FS19/data/levels/BossFight.oxw
===================================================================
--- /code/branches/BossFight_FS19/data/levels/BossFight.oxw	(revision 12404)
+++ /code/branches/BossFight_FS19/data/levels/BossFight.oxw	(revision 12404)
@@ -0,0 +1,1418 @@
+<LevelInfo
+ name = "Boss Fight"
+ description = "Let's see if you can defeat Ojumaya-kun"
+ tags = "mission"
+ screenshot = "missionOne.png"
+/>
+<?lua
+  include("HUDTemplates3.oxo")
+  include("stats.oxo")
+  include("templates/pickupRepresentationTemplates.oxt")
+  include("templates/spaceshipAssff.oxt")
+  include("templates/spaceshipH2.oxt")
+  include("templates/spaceshipPirate.oxt")
+  include("templates/lodInformation.oxt")
+  include("templates/BossFightPlayer.oxt")
+?>
+<?lua
+  include("templates/spaceshipEscort.oxt")
+  include("includes/notifications.oxi")
+?>
+<Level gametype="Mission">
+	<templates>
+		<Template link=lodtemplate_default />
+	</templates>
+	<NotificationQueueCEGUI
+    name="narrative"
+    targets="simpleNotification"
+    size=3
+    displayTime=45
+    position="0.2, 0, 0.1, 0"
+    fontSize="12"
+    fontColor="0.3, 1, 0.2, 0.8"
+    alignment="HorzCentred"
+    displaySize="0.6, 0, 0, 0"
+    />
+	<Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+  >
+		<Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+		<SpawnPoint team=0 position="0,0,0" lookat="100,0,0" spawnclass=SpaceShip pawndesign=bossfightplayer />
+		<!--Billboard-->
+		<DistanceTrigger name="switchBillboard1" position="200,0,0" target="Pawn" distance=250 stayActive="true" delay=0.1/>
+		<BlinkingBillboard position="200,0,0" material="Examples/Flare" colour="0, 0, 1" amplitude=3 frequency=0.5 quadratic=2 >
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=switchBillboard1 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</BlinkingBillboard>
+		<!--Dialogues-->
+		<DistanceTrigger name="talk1" position="200,0,0" target="Pawn" distance=25 stayActive="true" />
+		<Dialog name="Commander" currentQuestionId="BeginBriefing">
+			<questions>
+				<Question Id="BeginBriefing" question="We are getting a lot of distress calls from our pilots. Investigate all of them and report back Sar-Bur-Per-Ak">
+					<answerIds>
+						<AnswerId Id="Brief_a"/>
+						<AnswerId Id="Brief_b"/>
+					</answerIds>
+				</Question>
+				<Question Id="BossAlert_a" question="Be careful about Ojumaya-kun. I think he might be here." >
+					<answerIds>
+						<AnswerId Id="Boss_a_a"/>
+						<AnswerId Id="Boss_a_b"/>
+					</answerIds>
+				</Question>
+				<Question Id="BossAlert_b" question="I am afraid that is not an option. The distress calls are strangely similar to when Ojumaya-kun first appeared. You must investigate and help those in need." >
+					<answerIds>
+						<AnswerId Id="Boss_b_a"/>
+						<AnswerId Id="Boss_b_b"/>
+					</answerIds>
+				</Question>
+				<Question Id="BossInformation" question="It first appeared after the great Famine. We believe it was born because of the sins we committed for survival. I am sorry, but we do not have much time. You must go now." >
+					<answerIds>
+						<AnswerId Id="Info_a"/>
+						<AnswerId Id="Info_b"/>
+					</answerIds>
+				</Question>
+				<Question Id="PiratesAlert" question="There might also be Space Pirates around, so keep your eyes open!" >
+					<answerIds>
+						<AnswerId Id="Pirates_a"/>
+						<AnswerId Id="Pirates_b"/>
+					</answerIds>
+				</Question>
+				<Question  Id="Reinforcements" question="Some reinforcements are on the way. I am also sending in support. Keep safe, and be quick. The distress signals indicated plenty of Minion activity."/>
+			</questions>
+			<answers>
+				<Answer Id="Brief_a" answer="Yes,  Boss!" nextQuestionId="BossAlert_a"/>
+				<Answer Id="Brief_b" answer="Whatever, I don't care!" nextQuestionId="BossAlert_b"/>
+				<Answer Id="Boss_a_a"answer="Acknowledged Boss!" nextQuestionId="PiratesAlert"/>
+				<Answer Id="Boss_a_b"answer="Who is that?" nextQuestionId="BossInformation"/>
+				<Answer Id="Boss_b_a"answer="Alright, if I HAVE to do it." nextQuestionId="PiratesAlert"/>
+				<Answer Id="Boss_b_b"answer="Who is that anyway?" nextQuestionId="BossInformation"/>
+				<Answer Id="Info_a" answer="That does not sound fun." nextQuestionId="PiratesAlert"/>
+				<Answer Id="Info_b" answer="Ah sh#t, here we go again." nextQuestionId="PiratesAlert"/>
+				<Answer Id="Pirates_a" answer="Yes,  Boss!"  nextQuestionId="Reinforcements"/>
+				<Answer Id="Pirates_b" answer="Oh they won't be a problem!"  nextQuestionId="Reinforcements"/>
+			</answers>
+			<events>
+				<execute>
+					<EventListener event="talk1"/>
+				</execute>
+			</events>
+		</Dialog>
+		<?lua
+  include("includes/pickups.oxi")
+  include("templates/BossFightMinion.oxt")
+  include("templates/BossFightBigMinion.oxt")
+  include("templates/BossFightPirate.oxt")
+  include("templates/BossFightBoss.oxt")
+?>
+		<!--Other ships-->
+		<!--Bosses Minions-->
+		<!------------------------------------------------------------------------------------------------>
+		<Template name=waypointsFirstWave>
+			<WaypointPatrolController>
+				<waypoints>
+					<StaticEntity  position="2000,0,-500" />
+					<StaticEntity  position="2000,0,500" />
+					<StaticEntity  position="2870,0,0" />
+				</waypoints>
+			</WaypointPatrolController>
+		</Template>
+		<!------------------------------------------------------------------------------------------------>
+		<!--First wave-->
+		<SpaceShip 	position="2000,0,-500" 
+		lookat="0,0,0"
+		health= "50"
+		initialhealth= "50"
+		maxhealth= "70" 
+		name="1minions">
+			<events>
+				<visibility>
+					<EventListener event="talk1" />
+				</visibility>
+			</events>
+			<templates>
+				<Template link=bossfightminion />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=1000 team=11>
+					<templates>
+						<Template link=waypointsFirstWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<SpaceShip 	position="2870,0,0" 
+		lookat="0,0,0"
+		health= "50"
+		initialhealth= "50"
+		maxhealth= "70"
+		name="1minions">
+			<events>
+				<visibility>
+					<EventListener event="talk1" />
+				</visibility>
+			</events>
+			<templates>
+				<Template link=bossfightminion />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=1000 team=11>
+					<templates>
+						<Template link=waypointsFirstWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<EventTrigger name="minion1trigger2" activations="1" stayactive="true" delay=3>
+			<events>
+				<trigger>
+					<EventListener event="1minions" />
+				</trigger>
+			</events>
+			<EventTrigger name="minion1trigger1" activations="1" stayactive="true" delay=0.1>
+				<events>
+					<trigger>
+						<EventListener event="1minions" />
+					</trigger>
+				</events>
+			</EventTrigger>
+		</EventTrigger>
+		<!--Billboard-->
+		<BlinkingBillboard position="3200,0,0" material="Examples/Flare" colour="1, 0, 0" amplitude=3 frequency=0.5 quadratic=2 >
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion1trigger2 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</BlinkingBillboard>
+		<!--Dialogues-->
+		<!--DistanceTrigger name="talk2" position="3200,0,0" target="Pawn" distance=25 stayActive="true" /-->
+		<Dialog name="Commander" currentQuestionId="Inquiry">
+			<questions>
+				<Question Id="Inquiry" question="What did you find?">
+					<answerIds>
+						<AnswerId Id="Inquiry_a"/>
+						<AnswerId Id="Inquiry_b"/>
+					</answerIds>
+				</Question>
+				<Question Id="Continue" question="Huh. Strange... At least I could get some reinforcements to you." ></Question>
+			</questions>
+			<answers>
+				<Answer Id="Inquiry_a" answer="There is nothing here, Boss!" nextQuestionId="Continue"/>
+				<Answer Id="Inquiry_b" answer="Nothing other than damn Minions..." nextQuestionId="Continue"/>
+			</answers>
+			<events>
+				<execute>
+					<EventListener event="minion1trigger2"/>
+				</execute>
+			</events>
+		</Dialog>
+		<!--Pick Ups -->
+		<PickupSpawner pickup=mediumdamageboostpickup position="3200,-200,0" triggerDistance="100" respawnTime="30" maxSpawnedItems="2">
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion1trigger2 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</PickupSpawner>
+		<PickupSpawner pickup=mediummunitionpickup position="3200,-100,0" triggerDistance="100" respawnTime="5" maxSpawnedItems="2">
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion1trigger2 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</PickupSpawner>
+		<PickupSpawner pickup=mediumhealthpickup position="3200,100,0" triggerDistance="100" respawnTime="30" maxSpawnedItems="2">
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion1trigger2 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</PickupSpawner>
+		<PickupSpawner pickup=mediumspeedpickup position="3200,200,0" triggerDistance="100" respawnTime="10" maxSpawnedItems="2">
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion1trigger2 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</PickupSpawner>
+		<!------------------------------------------------------------------------------------------------>
+		<Template name=waypointsSecondWave>
+			<WaypointPatrolController>
+				<waypoints>
+					<StaticEntity  position="5000,-200,-500" />
+					<StaticEntity  position="5000,-200,500" />
+					<StaticEntity  position="5000,200,500" />
+					<StaticEntity  position="5000,200,-500" />
+				</waypoints>
+			</WaypointPatrolController>
+		</Template>
+		<!------------------------------------------------------------------------------------------------>
+		<!--Second wave-->
+		<SpaceShip 	position="5000,-500,-200" 
+		lookat="0,0,0" 
+		health= "50"
+		initialhealth= "50"
+		maxhealth= "70"
+		name="2minions">
+			<events>
+				<visibility>
+					<EventListener event="minion1trigger2" />
+				</visibility>
+			</events>
+			<templates>
+				<Template link=bossfightminion />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=1000 team=11>
+					<templates>
+						<Template link=waypointsSecondWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<SpaceShip 	position="5000,500,200" 
+		lookat="0,0,0" 
+		health= "50"
+		initialhealth= "50"
+		maxhealth= "70"
+		name="2minions">
+			<events>
+				<visibility>
+					<EventListener event="minion1trigger2" />
+				</visibility>
+			</events>
+			<templates>
+				<Template link=bossfightminion />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=1000 team=11>
+					<templates>
+						<Template link=waypointsSecondWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<SpaceShip 	position="5000,500,-200" 
+		lookat="0,0,0" 
+		health= "50"
+		initialhealth= "50"
+		maxhealth= "70"
+		name="2minions">
+			<events>
+				<visibility>
+					<EventListener event="minion1trigger2" />
+				</visibility>
+			</events>
+			<templates>
+				<Template link=bossfightminion />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=1000 team=11>
+					<templates>
+						<Template link=waypointsSecondWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<EventTrigger name="minion2trigger3" activations="1" stayactive="true" delay=3>
+			<events>
+				<trigger>
+					<EventListener event="2minions" />
+				</trigger>
+			</events>
+			<EventTrigger name="minion2trigger2" activations="1" stayactive="true" delay=0.1>
+				<events>
+					<trigger>
+						<EventListener event="2minions" />
+					</trigger>
+				</events>
+				<EventTrigger name="minion2trigger1" activations="1" stayactive="true" delay=0.1>
+					<events>
+						<trigger>
+							<EventListener event="2minions" />
+						</trigger>
+					</events>
+				</EventTrigger>
+			</EventTrigger>
+		</EventTrigger>
+		<!--Billboard-->
+		<BlinkingBillboard position="5300,0,0" material="Examples/Flare" colour="1, 0, 0" amplitude=3 frequency=0.5 quadratic=2 >
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion2trigger3 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</BlinkingBillboard>
+		<!--Dialogues-->
+		<!--DistanceTrigger name="talk3" position="5300,0,0" target="Pawn" distance=100 stayActive="true" /-->
+		<Dialog name="Commander" currentQuestionId="Fallen">
+			<questions>
+				<Question Id="Fallen" question="Is there any trace of our fallen yet?">
+					<answerIds>
+						<AnswerId Id="Fallen_a"/>
+						<AnswerId Id="Fallen_b"/>
+					</answerIds>
+				</Question>
+				<Question Id="Goon" question="This is unusual... Better stock up, we do not know what might come." ></Question>
+			</questions>
+			<answers>
+				<Answer Id="Fallen_a" answer="Still no trace here, Boss!" nextQuestionId="Goon"/>
+				<Answer Id="Fallen_b" answer="Still nothing, Boss. I am getting nervous here..." nextQuestionId="Goon"/>
+			</answers>
+			<events>
+				<execute>
+					<EventListener event="minion2trigger3"/>
+				</execute>
+			</events>
+		</Dialog>
+		<!--Pick Ups -->
+		<PickupSpawner pickup=triplehealthspeedinvisibilitypickup position="5300,-100,0" triggerDistance="100" respawnTime="30" maxSpawnedItems="2" >
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion2trigger3 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</PickupSpawner>
+		<PickupSpawner pickup=dronepickup position="5300,0,0" triggerDistance="100" respawnTime="30" maxSpawnedItems="2" >
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion2trigger3 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</PickupSpawner>
+		<PickupSpawner pickup=smallshieldpickup position="5300,100,0" triggerDistance="100" respawnTime="5" maxSpawnedItems="2" >
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion2trigger3 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</PickupSpawner>
+		<!------------------------------------------------------------------------------------------------>
+		<Template name=waypointsThirdWave>
+			<WaypointPatrolController>
+				<waypoints>
+					<StaticEntity  position="7000,-500,-500" />
+					<StaticEntity  position="7000,-500,500" />
+					<StaticEntity  position="9000,500,500" />
+					<StaticEntity  position="9000,500,-500" />
+				</waypoints>
+			</WaypointPatrolController>
+		</Template>
+		<!------------------------------------------------------------------------------------------------>
+		<!--Third wave-->
+		<SpaceShip 	position="9000,500,500" 
+		lookat="0,0,0" 
+		health= "50"
+		initialhealth= "50"
+		maxhealth= "70"
+		name="3minions">
+			<events>
+				<visibility>
+					<EventListener event="minion2trigger3" />
+				</visibility>
+			</events>
+			<templates>
+				<Template link=bossfightminion />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=1000 team=11>
+					<templates>
+						<Template link=waypointsThirdWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<SpaceShip 	position="8500,500,500" 
+		lookat="0,0,0" 
+		health= "50"
+		initialhealth= "50"
+		maxhealth= "70"
+		name="3minions">
+			<events>
+				<visibility>
+					<EventListener event="minion2trigger3" />
+				</visibility>
+			</events>
+			<templates>
+				<Template link=bossfightminion />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=1000 team=11>
+					<templates>
+						<Template link=waypointsThirdWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<SpaceShip 	position="8000,500,500" 
+		lookat="0,0,0" 
+		health= "50"
+		initialhealth= "50"
+		maxhealth= "70"
+		name="3minions">
+			<events>
+				<visibility>
+					<EventListener event="minion2trigger3" />
+				</visibility>
+			</events>
+			<templates>
+				<Template link=bossfightminion />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=1000 team=11>
+					<templates>
+						<Template link=waypointsThirdWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<SpaceShip 	position="7500,500,500" 
+		lookat="0,0,0" 
+		health= "50"
+		initialhealth= "50"
+		maxhealth= "70"
+		name="3minions">
+			<events>
+				<visibility>
+					<EventListener event="minion2trigger3" />
+				</visibility>
+			</events>
+			<templates>
+				<Template link=bossfightminion />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=1000 team=11>
+					<templates>
+						<Template link=waypointsThirdWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<SpaceShip 	position="7000,500,500" 
+		lookat="0,0,0" 
+		health= "50"
+		initialhealth= "50"
+		maxhealth= "70"
+		name="3minions">
+			<events>
+				<visibility>
+					<EventListener event="minion2trigger3" />
+				</visibility>
+			</events>
+			<templates>
+				<Template link=bossfightminion />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=1000 team=11>
+					<templates>
+						<Template link=waypointsThirdWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<SpaceShip 	position="7000,000,500" 
+		lookat="0,0,0" 
+		health= "50"
+		initialhealth= "50"
+		maxhealth= "70"
+		name="3minions">
+			<events>
+				<visibility>
+					<EventListener event="minion2trigger3" />
+				</visibility>
+			</events>
+			<templates>
+				<Template link=bossfightminion />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=1000 team=11>
+					<templates>
+						<Template link=waypointsThirdWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<EventTrigger name="minion3trigger6" activations="1" stayactive="true" delay=3>
+			<events>
+				<trigger>
+					<EventListener event="3minions" />
+				</trigger>
+			</events>
+			<EventTrigger name="minion3trigger5" activations="1" stayactive="true" delay=0.1>
+				<events>
+					<trigger>
+						<EventListener event="3minions" />
+					</trigger>
+				</events>
+				<EventTrigger name="minion3trigger4" activations="1" stayactive="true" delay=0.1>
+					<events>
+						<trigger>
+							<EventListener event="3minions" />
+						</trigger>
+					</events>
+					<EventTrigger name="minion3trigger3" activations="1" stayactive="true" delay=0.1>
+						<events>
+							<trigger>
+								<EventListener event="3minions" />
+							</trigger>
+						</events>
+						<EventTrigger name="minion3trigger2" activations="1" stayactive="true" delay=0.1>
+							<events>
+								<trigger>
+									<EventListener event="3minions" />
+								</trigger>
+							</events>
+							<EventTrigger name="minion3trigger1" activations="1" stayactive="true" delay=0.1>
+								<events>
+									<trigger>
+										<EventListener event="3minions" />
+									</trigger>
+								</events>
+							</EventTrigger>
+						</EventTrigger>
+					</EventTrigger>
+				</EventTrigger>
+			</EventTrigger>
+		</EventTrigger>
+		<!--Billboard-->
+		<BlinkingBillboard position="9100,0,0" material="Examples/Flare" colour="1, 0, 0" amplitude=3 frequency=0.5 quadratic=2 >
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion3trigger6 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</BlinkingBillboard>
+		<!--Dialogues-->
+		<!--DistanceTrigger name="talk4" position="9100,0,0" target="Pawn" distance=25 stayActive="true" /-->
+		<Dialog name="Commander" currentQuestionId="Condition">
+			<questions>
+				<Question Id="Condition" question="Still nothing?">
+					<answerIds>
+						<AnswerId Id="Fallen_a"/>
+						<AnswerId Id="Fallen_b"/>
+					</answerIds>
+				</Question>
+				<Question Id="Coordinates" question="I receive some signals coming from (10000, 5000, 0), maybe you can find something there...">
+					<answerIds>
+						<AnswerId Id="out"/>
+					</answerIds>
+				</Question>
+				<Question Id="Goon" question="I receive some signals coming from (10000, 5000, 0), maybe you can find something there... (Open Coordinates with F1)" ></Question>
+			</questions>
+			<answers>
+				<Answer Id="Fallen_a" answer="Nothing !" nextQuestionId="Coordinates"/>
+				<Answer Id="Fallen_b" answer="Nope..." nextQuestionId="Coordinates"/>
+				<Answer Id="out" answer="Hope so." nextQuestionId="Goon"/>
+			</answers>
+			<events>
+				<execute>
+					<EventListener event="minion3trigger6"/>
+				</execute>
+			</events>
+		</Dialog>
+		<SimpleNotification message="I receive some signals coming from (10000, 5000, 0), maybe you can find something there... (Open Coordinates with F1)" broadcast="true">
+			<events>
+				<trigger>
+					<EventListener event="minion3trigger6" />
+				</trigger>
+			</events>
+		</SimpleNotification>
+		<!--Pick Ups -->
+		<PickupSpawner pickup=hugeboostpickup position="9200,0,200" triggerDistance="100" respawnTime="30" maxSpawnedItems="10" >
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion3trigger6 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</PickupSpawner>
+		<PickupSpawner pickup=smallhealthpickup position="9200,0,0" triggerDistance="100" respawnTime="30" maxSpawnedItems="10" >
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion3trigger6 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</PickupSpawner>
+		<PickupSpawner pickup=hugedamageboostpickup position="9200,0,-200" triggerDistance="100" respawnTime="30" maxSpawnedItems="10" >
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion3trigger6 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</PickupSpawner>
+		<!------------------------------------------------------------------------------------------------>
+		<Template name=waypointsFourthWave>
+			<WaypointPatrolController>
+				<waypoints>
+					<StaticEntity  position="10000,5000,1000" />
+					<StaticEntity  position="10000,5000,0" />
+					<StaticEntity  position="10000,5000,-1000" />
+				</waypoints>
+			</WaypointPatrolController>
+		</Template>
+		<!------------------------------------------------------------------------------------------------>
+		<!--Fourth wave-->
+		<SpaceShip 	position="10000,5000,-1000" 
+		lookat="0,0,0" 
+		health= "50"
+		initialhealth= "50"
+		maxhealth= "70"
+		name="4minions">
+			<events>
+				<visibility>
+					<EventListener event="minion3trigger6" />
+				</visibility>
+			</events>
+			<templates>
+				<Template link=bossfightbigminion />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=1000 team=11>
+					<templates>
+						<Template link=waypointsFourthWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<SpaceShip 	position="10000,5000,-800" 
+		lookat="0,0,0" 
+		health= "50"
+		initialhealth= "50"
+		maxhealth= "70"
+		name="4minions">
+			<events>
+				<visibility>
+					<EventListener event="minion3trigger6" />
+				</visibility>
+			</events>
+			<templates>
+				<Template link=bossfightbigminion />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=1000 team=11>
+					<templates>
+						<Template link=waypointsFourthWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<SpaceShip 	position="10000,5000,-600" 
+		lookat="0,0,0" 
+		health= "50"
+		initialhealth= "50"
+		maxhealth= "70"
+		name="4minions">
+			<events>
+				<visibility>
+					<EventListener event="minion3trigger6" />
+				</visibility>
+			</events>
+			<templates>
+				<Template link=bossfightbigminion />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=1000 team=11>
+					<templates>
+						<Template link=waypointsFourthWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<EventTrigger name="minion4trigger3" activations="1" stayactive="true" delay=3>
+			<events>
+				<trigger>
+					<EventListener event="4minions" />
+				</trigger>
+			</events>
+			<EventTrigger name="minion4trigger2" activations="1" stayactive="true" delay=0.1>
+				<events>
+					<trigger>
+						<EventListener event="4minions" />
+					</trigger>
+				</events>
+				<EventTrigger name="minion4trigger1" activations="1" stayactive="true" delay=0.1>
+					<events>
+						<trigger>
+							<EventListener event="4minions" />
+						</trigger>
+					</events>
+				</EventTrigger>
+			</EventTrigger>
+		</EventTrigger>
+		<!--Billboard-->
+		<BlinkingBillboard position="11000,5200,0" material="Examples/Flare" colour="1.0, 0,0" amplitude=3 frequency=0.5 quadratic=1 >
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion4trigger3 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</BlinkingBillboard>
+		<!--Dialogues-->
+		<!--DistanceTrigger name="talk5" position="11000,5200,0" target="Pawn" distance=25 stayActive="true" /-->
+		<Dialog name="Commander" currentQuestionId="Silent">
+			<questions>
+				<Question Id="Silent" question="...">
+					<answerIds>
+						<AnswerId Id="Bored"/>
+					</answerIds>
+				</Question>
+				<Question Id="Static" question="...trap...failed...(5000, 5000, 0)...leave us...save...rself.">
+					<answerIds>
+						<AnswerId Id="Boss1"/>
+					</answerIds>
+				</Question>
+				<Question Id="Trap" question="...">
+					<answerIds>
+						<AnswerId Id="Boss2"/>
+					</answerIds>
+				</Question>
+				<Question Id="Come" question="...trap...failed...(5000, 5000, 0)...leave us...save...rself." ></Question>
+			</questions>
+			<answers>
+				<Answer Id="Bored" answer="I am getting tired Boss!" nextQuestionId="Static"/>
+				<Answer Id="Boss1" answer="What..." nextQuestionId="Trap"/>
+				<Answer Id="Boss2" answer="Hang in there Boss, I am coming!" nextQuestionId="Come"/>
+			</answers>
+			<events>
+				<execute>
+					<EventListener event="minion4trigger3"/>
+				</execute>
+			</events>
+		</Dialog>
+		<SimpleNotification message="...trap...failed...(5000, 5000, 0)...leave us...save...rself. (Open Coordinates with F1)" broadcast="true">
+			<events>
+				<trigger>
+					<EventListener event="minion4trigger3" />
+				</trigger>
+			</events>
+		</SimpleNotification>
+		<!--Pick Ups -->
+		<PickupSpawner pickup=mediumdamageboostpickup position="11000,5200,-200" triggerDistance="100" respawnTime="30" maxSpawnedItems="10" >
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion4trigger3 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</PickupSpawner>
+		<PickupSpawner pickup=mediumshrinkpickup position="11000,5200,200" triggerDistance="100" respawnTime="60" maxSpawnedItems="5" >
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion4trigger3 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</PickupSpawner>
+		<PickupSpawner pickup=mediumshieldpickup position="11000,5200,-400" triggerDistance="100" respawnTime="5" maxSpawnedItems="10" >
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion4trigger3 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</PickupSpawner>
+		<!------------------------------------------------------------------------------------------------>
+		<Template name=waypointsFifthWave>
+			<WaypointPatrolController>
+				<waypoints>
+					<StaticEntity  position="5000,5000,-500" />
+					<StaticEntity  position="7000,5000,-500" />
+					<StaticEntity  position="7000,5000,500" />
+					<StaticEntity  position="5000,5000,500" />
+				</waypoints>
+			</WaypointPatrolController>
+		</Template>
+		<!------------------------------------------------------------------------------------------------>
+		<!--Fifth wave-->
+		<SpaceShip 	position="8000,10000,0" 
+		lookat="0,0,0"  
+		health= "50"
+		initialhealth= "50"
+		maxhealth= "70"
+		name="5minions">
+			<events>
+				<visibility>
+					<EventListener event="minion4trigger3" />
+				</visibility>
+			</events>
+			<templates>
+				<Template link=bossfightbigminion />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=1000 team=11>
+					<templates>
+						<Template link=waypointsFifthWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<SpaceShip 	position="7500,10000,0" 
+		lookat="0,0,0" 
+		health= "50"
+		initialhealth= "50"
+		maxhealth= "70"
+		name="5minions">
+			<events>
+				<visibility>
+					<EventListener event="minion4trigger3" />
+				</visibility>
+			</events>
+			<templates>
+				<Template link=bossfightbigminion />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=1000 team=11>
+					<templates>
+						<Template link=waypointsFifthWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<SpaceShip 	position="7000,10000,0" 
+		lookat="0,0,0" 
+		health= "50"
+		initialhealth= "50"
+		maxhealth= "70"
+		name="5minions">
+			<events>
+				<visibility>
+					<EventListener event="minion4trigger3" />
+				</visibility>
+			</events>
+			<templates>
+				<Template link=bossfightbigminion />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=1000 team=11>
+					<templates>
+						<Template link=waypointsFifthWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<SpaceShip 	position="6500,10000,0" 
+		lookat="0,0,0" 
+		health= "50"
+		initialhealth= "50"
+		maxhealth= "70"
+		name="5minions">
+			<events>
+				<visibility>
+					<EventListener event="minion4trigger3" />
+				</visibility>
+			</events>
+			<templates>
+				<Template link=bossfightbigminion />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=1000 team=11>
+					<templates>
+						<Template link=waypointsFifthWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<SpaceShip 	position="6000,10000,0" 
+		lookat="0,0,0" 
+		health= "50"
+		initialhealth= "50"
+		maxhealth= "70"
+		name="5minions">
+			<events>
+				<visibility>
+					<EventListener event="minion4trigger3" />
+				</visibility>
+			</events>
+			<templates>
+				<Template link=bossfightbigminion />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=1000 team=11>
+					<templates>
+						<Template link=waypointsFifthWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<SpaceShip 	position="5500,10000,0" 
+		lookat="0,0,0" 
+		health= "50"
+		initialhealth= "50"
+		maxhealth= "70"
+		name="5minions">
+			<events>
+				<visibility>
+					<EventListener event="minion4trigger3" />
+				</visibility>
+			</events>
+			<templates>
+				<Template link=bossfightbigminion />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=1000 team=11>
+					<templates>
+						<Template link=waypointsFifthWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<EventTrigger name="minion5trigger6" activations="1" stayactive="true" delay=3>
+			<events>
+				<trigger>
+					<EventListener event="5minions" />
+				</trigger>
+			</events>
+			<EventTrigger name="minion5trigger5" activations="1" stayactive="true" delay=0.1>
+				<events>
+					<trigger>
+						<EventListener event="5minions" />
+					</trigger>
+				</events>
+				<EventTrigger name="minion5trigger4" activations="1" stayactive="true" delay=0.1>
+					<events>
+						<trigger>
+							<EventListener event="5minions" />
+						</trigger>
+					</events>
+					<EventTrigger name="minion5trigger3" activations="1" stayactive="true" delay=0.1>
+						<events>
+							<trigger>
+								<EventListener event="5minions" />
+							</trigger>
+						</events>
+						<EventTrigger name="minion5trigger2" activations="1" stayactive="true" delay=0.1>
+							<events>
+								<trigger>
+									<EventListener event="5minions" />
+								</trigger>
+							</events>
+							<EventTrigger name="minion5trigger1" activations="1" stayactive="true" delay=0.1>
+								<events>
+									<trigger>
+										<EventListener event="5minions" />
+									</trigger>
+								</events>
+							</EventTrigger>
+						</EventTrigger>
+					</EventTrigger>
+				</EventTrigger>
+			</EventTrigger>
+		</EventTrigger>
+		<!--Billboard-->
+		<BlinkingBillboard position="4000,10000,0" material="Examples/Flare" colour="1, 0, 0" amplitude=3 frequency=0.5 quadratic=1 >
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion5trigger6 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</BlinkingBillboard>
+		<!--Dialogues-->
+		<!--DistanceTrigger name="talk5" position="5000,10000,0" target="Pawn" distance=25 stayActive="true" /-->
+		<Dialog name="Commander" currentQuestionId="Reveal">
+			<questions>
+				<Question Id="Reveal" question="HA HA HA HA!">
+					<answerIds>
+						<AnswerId Id="What"/>
+					</answerIds>
+				</Question>
+				<Question Id="Reveal2" question="...trap...failed...(5000, 5000, 0)...leave us...save...rself. How stupid are you?">
+					<answerIds>
+						<AnswerId Id="Boss?"/>
+					</answerIds>
+				</Question>
+				<Question Id="Die" question="Now you will join the rest of your impotent team!">
+					<answerIds>
+						<AnswerId Id="Boss2"/>
+					</answerIds>
+				</Question>
+				<Question Id="Die2" question="All you humans are the same, so eager to play the hero. You only play yourselves... Congratulations." ></Question>
+			</questions>
+			<answers>
+				<Answer Id="What" answer="What are you saying Boss?" nextQuestionId="Reveal2"/>
+				<Answer Id="Boss?" answer="What..." nextQuestionId="Die"/>
+				<Answer Id="Boss2" answer="You evil bitch! You were Ojumaya-kun all along!" nextQuestionId="Die2"/>
+			</answers>
+			<events>
+				<execute>
+					<EventListener event="minion5trigger6"/>
+				</execute>
+			</events>
+		</Dialog>
+		<DistanceTrigger name="help" position="4000,10000,0" target="Pawn" distance=100 stayActive="true" />
+		<SimpleNotification message="Sar-Bur-Per-Ak! Hang in there! I sent some pickups for you. Show Ojumaya-kun who's Boss and come home safe." broadcast=true >
+			<events>
+				<trigger>
+					<EventListener event="help" />
+				</trigger>
+			</events>
+		</SimpleNotification>
+		<!--Pick Ups -->
+		<PickupSpawner pickup=hugehealthpickup position="3900,10000,0" triggerDistance="100" respawnTime="10" maxSpawnedItems="99" >
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion5trigger6 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</PickupSpawner>
+		<PickupSpawner pickup=hugemunitionpickup position="3800,10000,0" triggerDistance="100" respawnTime="30" maxSpawnedItems="10" >
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion5trigger6 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</PickupSpawner>
+		<PickupSpawner pickup=hugedamageboostpickup position="3700,10000,0" triggerDistance="100" respawnTime="30" maxSpawnedItems="10" >
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion5trigger6 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</PickupSpawner>
+		<PickupSpawner pickup=hugehealthpickup position="3900,10000,0" triggerDistance="100" respawnTime="10" maxSpawnedItems="99" >
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion5trigger6 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</PickupSpawner>
+		<PickupSpawner pickup=hugemunitionpickup position="3800,10000,0" triggerDistance="100" respawnTime="30" maxSpawnedItems="10" >
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion5trigger6 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</PickupSpawner>
+		<PickupSpawner pickup=hugedamageboostpickup position="3600,10000,0" triggerDistance="100" respawnTime="30" maxSpawnedItems="10" >
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion5trigger6 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</PickupSpawner>
+		<PickupSpawner pickup=hugeshieldpickup position="3400,10000,0" triggerDistance="100" respawnTime="30" maxSpawnedItems="10" >
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion5trigger6 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</PickupSpawner>
+		<PickupSpawner pickup=hugeshieldpickup position="3300,10000,0" triggerDistance="100" respawnTime="30" maxSpawnedItems="10" >
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion5trigger6 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</PickupSpawner>
+		<PickupSpawner pickup=dronepickup position="3200,10000,0" triggerDistance="100" respawnTime="30" maxSpawnedItems="10" >
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion5trigger6 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</PickupSpawner>
+		<PickupSpawner pickup=hugemunitionpickup position="3100,10000,0" triggerDistance="100" respawnTime="30" maxSpawnedItems="10" >
+			<events>
+				<visibility>
+					<EventTrigger>
+						<events>
+							<trigger>
+								<EventListener event=minion5trigger6 />
+							</trigger>
+						</events>
+					</EventTrigger>
+				</visibility>
+			</events>
+		</PickupSpawner>
+		<!------------------------------------------------------------------------------------------------>
+		<!------------------------------------------------------------------------------------------------>
+		<!--BOSS-->
+		<SpaceShip 	position="2500,10000,0" 
+		lookat="0,0,0"
+		health= "500"
+		initialhealth= "400"
+		maxhealth= "500"
+		name="boss" 
+		radarname="Ojumaya-kun">
+			<events>
+				<visibility>
+					<EventListener event="minion5trigger6" />
+				</visibility>
+			</events>
+			<templates>
+				<Template link=bossfightboss />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=2000 team=11>
+					<waypoints>
+						<StaticEntity  position="1500,10000,0" />
+					</waypoints>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<!-- End the Mission (success) -->
+		<SimpleNotification message="You did it! Thanks to you, we are all saved. Exit Simulation?" broadcast="true">
+			<events>
+				<trigger>
+					<EventListener event="boss" />
+				</trigger>
+			</events>
+		</SimpleNotification>
+		<Script code="Mission endMission true" onLoad="false">
+			<EventTrigger>			
+				<events>
+					<trigger>
+						<EventListener event=boss />
+					</trigger>
+				</events>
+			</EventTrigger>
+		</Script>
+		<!--Billboard-->
+		<BlinkingBillboard position="1500,10000,0"  material="Examples/Flare" colour="1.0, 0.5, 0.3" amplitude=1 frequency=0.5 quadratic=1 />
+		<!--Pirates-->
+		<!--Top Left-->
+		<SpaceShip position="30000,30000,0" lookat="0,0,0">
+			<templates>
+				<Template link=bossfightpirate />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=1000 team=3>
+					<templates>
+						<Template link=waypointsThirdWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<SpaceShip position="30000,30000,200" lookat="0,0,0">
+			<templates>
+				<Template link=bossfightpirate />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=1000 team=3>
+					<templates>
+						<Template link=waypointsThirdWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<SpaceShip position="30000,30000,400" lookat="0,0,0">
+			<templates>
+				<Template link=bossfightpirate />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=1000 team=3>
+					<templates>
+						<Template link=waypointsThirdWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<!--Bot Right-->
+		<SpaceShip position="70000,-70000,0" lookat="0,0,0">
+			<templates>
+				<Template link=bossfightpirate />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=1000 team=4>
+					<templates>
+						<Template link=waypointsFourthWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<SpaceShip position="70000,-70000,200" lookat="0,0,0">
+			<templates>
+				<Template link=bossfightpirate />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=2000 team=4>
+					<templates>
+						<Template link=waypointsFourthWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+		<SpaceShip position="70000,-70000,400" lookat="0,0,0">
+			<templates>
+				<Template link=bossfightpirate />
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessradius=2000 team=4>
+					<templates>
+						<Template link=waypointsFourthWave/>
+					</templates>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+	</Scene>
+</Level>
+
+
Index: /code/branches/BossFight_FS19/data/levels/templates/BossFightBigMinion.oxt
===================================================================
--- /code/branches/BossFight_FS19/data/levels/templates/BossFightBigMinion.oxt	(revision 12404)
+++ /code/branches/BossFight_FS19/data/levels/templates/BossFightBigMinion.oxt	(revision 12404)
@@ -0,0 +1,127 @@
+<Template name=bossfightbigminion>
+  <SpaceShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = bossfightbigminioncameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 4
+
+   health            = 100
+   maxhealth         = 150
+   initialhealth     = 100
+
+   shieldhealth        = 35
+   initialshieldhealth = 35
+   maxshieldhealth     = 60
+   shieldabsorption    = 0.9
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
+
+   primaryThrust     = 150
+   auxilaryThrust    = 30
+   rotationThrust    = 50
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 20
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
+
+   shakeFrequency = 15
+   shakeAmplitude = 6
+
+   collisionType     = "dynamic"
+   mass              = 4200000
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+
+    collisiondamage = 100
+    enablecollisiondamage = true
+  >
+    <engines>
+      <MultiStateEngine position=" 7.6, 0, 6" template=bossfightbigminionengine />
+      <MultiStateEngine position="-7.6, 0, 0" template=bossfightbigminionengine />
+    </engines>
+    <attached>
+      <Model position="0,0,0" yaw=90 pitch=0 roll=0 scale=4 mesh="escortShip.mesh" />
+      <Model position="0,0,0" yaw=180 pitch=90 roll=0 scale=4 mesh="escortWeapon.mesh" />
+<!--Model mesh="cube.mesh" mass=10 position="0,0,3" scale3D="10,4,8" />
+<Model mesh="cube.mesh" mass=10 position="12.6,-2,3" scale3D="2.8,2.8,11" />
+<Model mesh="cube.mesh" mass=10 position="-12.6,-2,3" scale3D="2.8,2.8,11" />
+<Model mesh="cube.mesh" mass=10 position="0,0,-12" scale3D="4,4,7" /-->
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0    ,0 ,  3" halfExtents="10,   4,8" />
+      <BoxCollisionShape position="12.6 ,-2,  3" halfExtents="2.8,2.8,11"/>
+      <BoxCollisionShape position="-12.6,-2,  3" halfExtents="2.8,2.8,11"/>
+      <BoxCollisionShape position="0,     0,-12" halfExtents="4  , 4 ,7" />
+    </collisionShapes>
+    <explosion >
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="Orxonox/explosion2b" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+    </explosion>
+<?lua
+  include("../includes/weaponSettingsGhost.oxi")
+?>
+  </SpaceShip>
+</Template>
+
+<Template name=bossfightbigminioncameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+<!--       <CameraPosition position="0,15, 60" drag=true mouselook=true />
+      <CameraPosition position="0,20, 90" drag=true mouselook=true />
+      <CameraPosition position="0,30,120" drag=true mouselook=true /> -->
+      <CameraPosition position="0,300,-100" direction="0, -1, 0" drag=false mouselook=true />
+    </camerapositions>
+  </SpaceShip>
+</Template>
+
+<Template name=bossfightbigminionengine baseclass=MultiStateEngine>
+  <MultiStateEngine
+   boostfactor    = 2.2
+
+   speedfront     = 200
+   speedback      =  70
+   speedleftright =  70
+   speedupdown    =  70
+
+   defEngineSndNormal = "sounds/Engine_low.ogg"
+   defEngineSndBoost = "sounds/Engine_high.ogg"
+
+   accelerationfront     = 700
+   accelerationbrake     = 700
+   accelerationback      =  125
+   accelerationleftright =  125
+   accelerationupdown    =  125
+  >
+    <EffectContainer condition="idle">
+      <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
+    </EffectContainer>
+    <EffectContainer condition="not idle">
+      <FadingBillboard mainstate=activity active=false scale=0.09 position="12, -2, 13" colour="0.2, 1.0, 0.65, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.09 position="-12, -2, 13" colour="0.2, 1.0, 0.65, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+    <EffectContainer condition="normal or brake">
+
+    </EffectContainer>
+    <EffectContainer condition="normal or boost">
+      <Backlight mainstate=activity active=false scale=0.33 name=bltest position=" 12, 0, 10" colour="0.2, 1.0, 0.65, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.33 name=bltest position="-12, 0, 10" colour="0.2, 1.0, 0.65, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+    </EffectContainer>
+    <EffectContainer condition="boost">
+      <Backlight mainstate=activity active=false scale=0.33 name=bltest position=" 12, 0, 10" colour="0.6, 0.8, 0.75, 0.7" width=25 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=0.33 name=bltest position="-12, 0, 10" colour="0.6, 0.8, 0.75, 0.7" width=25 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+    </EffectContainer>
+
+  </MultiStateEngine>
+</Template>
Index: /code/branches/BossFight_FS19/data/levels/templates/BossFightBoss.oxt
===================================================================
--- /code/branches/BossFight_FS19/data/levels/templates/BossFightBoss.oxt	(revision 12404)
+++ /code/branches/BossFight_FS19/data/levels/templates/BossFightBoss.oxt	(revision 12404)
@@ -0,0 +1,127 @@
+<Template name=bossfightboss>
+  <SpaceShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = bossfightbosscameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 4
+
+   health            = 700
+   maxhealth         = 1000
+   initialhealth     = 700
+
+   shieldhealth        = 350
+   initialshieldhealth = 350
+   maxshieldhealth     = 600
+   shieldabsorption    = 0.9
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
+
+   primaryThrust     = 50
+   auxilaryThrust    = 10
+   rotationThrust    =25
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 20
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
+
+   shakeFrequency = 15
+   shakeAmplitude = 6
+
+   collisionType     = "dynamic"
+   mass              = 4200000
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+
+    collisiondamage = 100
+    enablecollisiondamage = true
+  >
+    <engines>
+      <MultiStateEngine position=" 7.6, 0, 6" template=bossfightbossengine />
+      <MultiStateEngine position="-7.6, 0, 0" template=bossfightbossengine />
+    </engines>
+    <attached>
+      <Model position="0,0,0" yaw=90 pitch=0 roll=0 scale=15 mesh="HydroHarvester.mesh" />
+      <Model position="0,0,0" yaw=180 pitch=90 roll=0 scale=4 mesh="escortWeapon.mesh" />
+<!--Model mesh="cube.mesh" mass=10 position="0,0,3" scale3D="10,4,8" />
+<Model mesh="cube.mesh" mass=10 position="12.6,-2,3" scale3D="2.8,2.8,11" />
+<Model mesh="cube.mesh" mass=10 position="-12.6,-2,3" scale3D="2.8,2.8,11" />
+<Model mesh="cube.mesh" mass=10 position="0,0,-12" scale3D="4,4,7" /-->
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0    ,0 ,  3" halfExtents="10,   4,8" />
+      <BoxCollisionShape position="12.6 ,-2,  3" halfExtents="2.8,2.8,11"/>
+      <BoxCollisionShape position="-12.6,-2,  3" halfExtents="2.8,2.8,11"/>
+      <BoxCollisionShape position="0,     0,-12" halfExtents="4  , 4 ,7" />
+    </collisionShapes>
+    <explosion >
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="Orxonox/explosion2b" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+    </explosion>
+<?lua
+  include("../includes/weaponSettingsGhost.oxi")
+?>
+  </SpaceShip>
+</Template>
+
+<Template name=bossfightbosscameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+<!--       <CameraPosition position="0,15, 60" drag=true mouselook=true />
+      <CameraPosition position="0,20, 90" drag=true mouselook=true />
+      <CameraPosition position="0,30,120" drag=true mouselook=true /> -->
+      <CameraPosition position="0,300,-100" direction="0, -1, 0" drag=false mouselook=true />
+    </camerapositions>
+  </SpaceShip>
+</Template>
+
+<Template name=bossfightbossengine baseclass=MultiStateEngine>
+  <MultiStateEngine
+   boostfactor    = 2.2
+
+   speedfront     = 200
+   speedback      =  70
+   speedleftright =  70
+   speedupdown    =  70
+
+   defEngineSndNormal = "sounds/Engine_low.ogg"
+   defEngineSndBoost = "sounds/Engine_high.ogg"
+
+   accelerationfront     = 700
+   accelerationbrake     = 700
+   accelerationback      =  125
+   accelerationleftright =  125
+   accelerationupdown    =  125
+  >
+    <EffectContainer condition="idle">
+      <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
+    </EffectContainer>
+    <EffectContainer condition="not idle">
+      <FadingBillboard mainstate=activity active=false scale=0.09 position="12, -2, 13" colour="0.2, 1.0, 0.65, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.09 position="-12, -2, 13" colour="0.2, 1.0, 0.65, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+    <EffectContainer condition="normal or brake">
+
+    </EffectContainer>
+    <EffectContainer condition="normal or boost">
+      <Backlight mainstate=activity active=false scale=0.33 name=bltest position=" 12, 0, 10" colour="0.2, 1.0, 0.65, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.33 name=bltest position="-12, 0, 10" colour="0.2, 1.0, 0.65, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+    </EffectContainer>
+    <EffectContainer condition="boost">
+      <Backlight mainstate=activity active=false scale=0.33 name=bltest position=" 12, 0, 10" colour="0.6, 0.8, 0.75, 0.7" width=25 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=0.33 name=bltest position="-12, 0, 10" colour="0.6, 0.8, 0.75, 0.7" width=25 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+    </EffectContainer>
+
+  </MultiStateEngine>
+</Template>
Index: /code/branches/BossFight_FS19/data/levels/templates/BossFightMinion.oxt
===================================================================
--- /code/branches/BossFight_FS19/data/levels/templates/BossFightMinion.oxt	(revision 12404)
+++ /code/branches/BossFight_FS19/data/levels/templates/BossFightMinion.oxt	(revision 12404)
@@ -0,0 +1,114 @@
+<Template name=bossfightminion>
+  <SpaceShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = bossfightminioncameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 30
+   maxhealth         = 50
+   initialhealth     = 30
+
+   shieldhealth        = 50
+   initialshieldhealth = 50
+   maxshieldhealth     = 50
+   shieldabsorption    = 0.9
+   shieldrechargerate  = 3
+   shieldrechargewaittime = 0.0
+
+   primaryThrust     = 600
+   auxilaryThrust    = 30
+   rotationThrust    = 25
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 30
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 15
+
+   shakeFrequency = 20
+   shakeAmplitude = 6
+
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+  >
+    <engines>
+      <MultiStateEngine position="0,0,0" template=bossfightminionengine/>
+    </engines>
+    <attached>
+      <Model position="0,0,0" scale=2 yaw=90 pitch=-90 roll=0 mesh="ghost.mesh" />
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
+      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
+      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
+      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
+    </collisionShapes>
+    <explosion >
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="Orxonox/explosion2b" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+    </explosion>
+<?lua
+  include("../includes/weaponSettingsGhost.oxi")
+?>
+  </SpaceShip>
+</Template>
+
+<Template name=bossfightminioncameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+      <CameraPosition position="0,20,80" drag=true mouselook=true />
+      <CameraPosition position="0,40,160" drag=true mouselook=true />
+      <CameraPosition position="0,50,200" drag=true mouselook=true />
+    </camerapositions>
+  </SpaceShip>
+</Template>
+
+<Template name=bossfightminionengine baseclass=MultiStateEngine>
+  <MultiStateEngine
+   boostfactor    = 2
+
+   speedfront     = 600
+   speedback      =  50
+   speedleftright =  50
+   speedupdown    =  50
+
+   accelerationfront     = 1000
+   accelerationbrake     = 300
+   accelerationback      =  100
+   accelerationleftright =  100
+   accelerationupdown    =  100
+  >
+    <EffectContainer condition="normal or boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 7.6, 3, 6" colour="0.0, 0.0, 0.0, 0.5" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-7.6, 3, 6" colour="0.0, 0.0, 0.0, 0.5" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+    </EffectContainer>
+    <EffectContainer condition="boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 7.6, 3, 6" colour="0.0, 0.0, 0.0, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-7.6, 3, 6" colour="0.0, 0.0, 0.0, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+    </EffectContainer>
+    <EffectContainer condition="not idle">
+      <FadingBillboard mainstate=activity active=false scale=0.4 position="7.6, 3, 6" colour="1, 1, 1, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.4 position="-7.6, 3, 6" colour="1, 1, 1, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+    <EffectContainer condition="brake">
+      <FadingBillboard mainstate=activity active=false scale=0.3 position=" 8, 0, 6" colour="0.2, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.3 position="-8, 0, 6" colour="0.2, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+</MultiStateEngine>
+</Template>
+
Index: /code/branches/BossFight_FS19/data/levels/templates/BossFightPirate.oxt
===================================================================
--- /code/branches/BossFight_FS19/data/levels/templates/BossFightPirate.oxt	(revision 12404)
+++ /code/branches/BossFight_FS19/data/levels/templates/BossFightPirate.oxt	(revision 12404)
@@ -0,0 +1,115 @@
+<Template name=bossfightpirate>
+  <SpaceShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = bossfightpiratecameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 75
+   maxhealth         = 100
+   initialhealth     = 75
+
+   shieldhealth        = 25
+   initialshieldhealth = 25
+   maxshieldhealth     = 40
+   shieldabsorption    = 0.6
+   shieldrechargerate  = 2
+   shieldrechargewaittime = 0.5
+
+   primaryThrust     = 100
+   auxilaryThrust    = 30
+   rotationThrust    = 25
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 10
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
+
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+  >
+    <engines>
+      <MultiStateEngine position=" 0, 0, 0" template=bossfightpirateengine />
+    </engines>
+    <attached>
+      <Model position="0,0,0" yaw=90 pitch=-90 roll=0 scale=4 mesh="pirate.mesh" />
+      <BlinkingBillboard position=" 12.7,-3.8,0" material="Examples/Flare" colour="1.0, 1.0, 1" amplitude=0.04 frequency=1 quadratic=1 />
+      <BlinkingBillboard position="-12.7,-3.8,0" material="Examples/Flare" colour="1.0, 1.0, 1" amplitude=0.04 frequency=1 quadratic=1 phase="90"/>
+      <BlinkingBillboard position=" 8.7,-0.5,2.5" material="Examples/Flare" colour="1.0, 1.0, 1" amplitude=0.04 frequency=1 quadratic=1 phase="30"/>
+      <BlinkingBillboard position="-8.7,-0.5,2.5" material="Examples/Flare" colour="1.0, 1.0, 1" amplitude=0.04 frequency=1 quadratic=1 phase="60"/>
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
+      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
+      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
+      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
+    </collisionShapes>
+    <explosion>
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" scale=2 />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+
+      <ExplosionPart mesh="explosionparts/pirate_part_1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="explosionparts/pirate_part_2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="explosionparts/pirate_part_3.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="explosionparts/pirate_part_4.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+    </explosion>
+
+<?lua
+  include("../includes/weaponSettingsGhost.oxi")
+?>
+  </SpaceShip>
+</Template>
+
+<Template name=bossfightpiratecameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+      <CameraPosition position="0,8, 60" drag=true mouselook=true />
+      <CameraPosition position="0,16, 120" drag=true mouselook=true />
+      <CameraPosition position="0,24,180" drag=true mouselook=true />
+      <CameraPosition position="0,60,10" pitch="-80" drag=true mouselook=true />
+    </camerapositions>
+  </SpaceShip>
+</Template>
+
+<Template name=bossfightpirateengine baseclass=MultiStateEngine>
+  <MultiStateEngine
+   boostfactor    = 2
+
+   speedfront     = 150
+   speedback      =  50
+   speedleftright =  50
+   speedupdown    =  50
+
+   accelerationfront     = 500
+   accelerationbrake     = 500
+   accelerationback      =  125
+   accelerationleftright =  125
+   accelerationupdown    =  125
+  >
+    <EffectContainer condition="not idle">
+      <FadingBillboard mainstate=activity active=false scale=0.02 position=" 1.3, -4, -15" colour="1.0, 0.65, 0.2, 1.0" material="Examples/FlareZwei" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.02 position=" 0, -4, -15" colour="1.0, 0.65, 0.2, 1.0" material="Examples/FlareZwei" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.02 position="-1.3, -4, -15" colour="1.0, 0.65, 0.2, 1.0" material="Examples/FlareZwei" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+    <EffectContainer condition="normal or boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 13, -4,  9.5" colour="1.0, 0.65, 0.2, 1.0" width=8 length=800 lifetime=1 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-13, -4,  9.5" colour="1.0, 0.65, 0.2, 1.0" width=8 length=800 lifetime=1 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+    </EffectContainer>
+    <EffectContainer condition="boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="  0,  5, 15.5" colour="1.0, 0.65, 0.2, 1.0" width=16 length=1600 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+    </EffectContainer>
+    <EffectContainer condition="brake">
+      <FadingBillboard mainstate=activity active=false scale=0.1 position=" 4.4, -5.5, 5" colour="0.8, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.1 position="-4.4, -5.5, 5" colour="0.8, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+  </MultiStateEngine>
+</Template>
Index: /code/branches/BossFight_FS19/data/levels/templates/BossFightPlayer.oxt
===================================================================
--- /code/branches/BossFight_FS19/data/levels/templates/BossFightPlayer.oxt	(revision 12404)
+++ /code/branches/BossFight_FS19/data/levels/templates/BossFightPlayer.oxt	(revision 12404)
@@ -0,0 +1,128 @@
+<Template name=bossfightplayer>
+  <SpaceShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = bossfightplayercameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+
+   health            = 250
+   maxhealth         = 350
+   initialhealth     = 250
+
+   shieldhealth        = 100
+   initialshieldhealth = 100
+   maxshieldhealth     = 150
+   shieldabsorption    = 0.9
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
+
+   primaryThrust     = 200
+   auxilaryThrust    = 50
+   rotationThrust    = 100
+
+   lift = 1;
+   stallSpeed = 300;
+
+   boostPower            = 30
+   boostPowerRate        = 5
+   boostRate             = 10
+   boostCooldownDuration = 5
+
+   shakeFrequency = 15
+   shakeAmplitude = 9
+
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+
+   explosionSound = "sounds/Explosion2.ogg"
+  >
+    <engines>
+      <MultiStateEngine position=" 7.6, 0, 6" template=bossfightplayerengine />
+      <MultiStateEngine position="-7.6, 0, 0" template=bossfightplayerengine />
+    </engines>
+    <attached>
+      <Model position="0,0,0" yaw=90 pitch=-90 roll=0 scale=4 mesh="assff.mesh" />
+      <BlinkingBillboard position="17,-1.5,0" material="Examples/Flare" colour="1.0, 0.5, 0.3" amplitude=0.1 frequency=0.5 quadratic=1 />
+      <BlinkingBillboard position="-17,-1.5,0" material="Examples/Flare" colour="0.5, 1.0, 0.3" amplitude=0.1 frequency=0.5 phase=180 quadratic=1 />
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
+      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
+      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
+      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
+    </collisionShapes>
+    <explosion>
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+
+      <ExplosionPart mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+    </explosion>
+<?lua
+  include("../includes/weaponSettingsAssff.oxi")
+?>
+  </SpaceShip>
+</Template>
+
+<Template name=bossfightplayercameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+      <CameraPosition position="0,10, 40" drag=true mouselook=true />
+      <CameraPosition position="0,20, 80" drag=true mouselook=true />
+      <CameraPosition position="0,30,120" drag=true mouselook=true />
+    </camerapositions>
+  </SpaceShip>
+</Template>
+
+<Template name=bossfightplayerengine baseclass=MultiStateEngine>
+  <MultiStateEngine
+   boostfactor    = 2
+
+   speedfront     = 150
+   speedback      =  50
+   speedleftright =  50
+   speedupdown    =  50
+
+   defEngineSndNormal = "sounds/Engine_low.ogg"
+   defEngineSndBoost = "sounds/Engine_high.ogg"
+   
+   accelerationfront     = 500
+   accelerationbrake     = 500
+   accelerationback      =  125
+   accelerationleftright =  125
+   accelerationupdown    =  125
+  >
+    <EffectContainer condition="idle">
+      <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
+    </EffectContainer>
+    <EffectContainer condition="not idle">
+      <FadingBillboard mainstate=activity active=false scale=0.1 position="7.6, 0, 9" colour="0.2, 0.65, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.1 position="-7.6, 0, 9" colour="0.2, 0.65, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+    <EffectContainer condition="normal or brake">
+
+    </EffectContainer>
+    <EffectContainer condition="normal or boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 7.6, 0, 6" colour="0.2, 0.65, 1.0, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-7.6, 0, 6" colour="0.2, 0.65, 1.0, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+    </EffectContainer>
+    <EffectContainer condition="boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 7.6, 0, 6" colour="0.6, 0.75, 0.8, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-7.6, 0, 6" colour="0.6, 0.75, 0.8, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+    </EffectContainer>
+<!--    <EffectContainer condition="brake">
+      <FadingBillboard mainstate=activity active=false scale=0.3 position=" 8, 0, 6" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.3 position="-8, 0, 6" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position=" 8, 0, 6" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position="-8, 0, 6" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+-->
+  </MultiStateEngine>
+</Template>
